RAISE(3)

NAME
raise - send a signal to the current thread

LIBRARY
libc

SYNOPSIS
#include <signal.h>
int
raise(int sig);

DESCRIPTION
The raise() function sends the signal sig to the current thread.

RETURN VALUES

ERRORS
The raise() function may fail and set errno for any of the errors specified for the library functions getpid(2) and kill(2).

SEE ALSO
kill(2)

STANDARDS
The raise() function conforms to isoC.